# memset_zone_domain – Create and delete domains in Memset DNS zones

New in version 2.6.

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage DNS zone domains in a Memset account.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - / required |  | The API key obtained from the Memset control panel.
domain - / required |  | The zone domain name. Ensure this value has at most 250 characters. aliases: name

state
-

Choices:
- absent
- present ←

Indicates desired state of resource.

zone - / required |  | The zone to add the domain to (this must already exist).

## Notes

Note

- Zone domains can be thought of as a collection of domains, all of which share the same DNS records (i.e. they point to the same IP). An API key generated via the Memset customer control panel is needed with the following minimum scope - dns.zone_domain_create, dns.zone_domain_delete, dns.zone_domain_list.
- Currently this module can only create one domain at a time. Multiple domains should be created using `with_items`.

## Examples

    # Create the zone domain 'test.com'
    - name: create zone domain
      memset_zone_domain:
        domain: test.com
        zone: testzone
        state: present
        api_key: 5eb86c9196ab03919abcf03857163741
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
memset_api complex | when changed or state == present | Domain info from the Memset API
| domain string | always | Domain name Sample: example.com
| id string | always | Domain ID Sample: b0bb1ce851aeea6feeb2dc32fe83bf9c

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Simon Weald (@glitchcrab)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.